| Graphics Libraries (HGL package) | Contents | Index

Graphics.HGL.Units

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Description
Types for units in a simple graphics library.
Synopsis

type Point = (Int, Int)
type Size = (Int, Int)
type Angle = Double
type Time = Integer

Documentation
type Point = (Int, Int)
A position within a window, measured in pixels to the right and down from the top left corner.
type Size = (Int, Int)
A (width, height) pair, both measured in pixels.
type Angle = Double
An angle in degrees (0 to 360).
type Time = Integer
Time, measured in milliseconds.
Produced by Haddock version 0.7